Page MenuHomeLubuntu Development

Added a config file for runner.
ClosedPublic

Authored by The_LoudSpeaker on Sep 12 2019, 4:06 PM.

Details

Summary

Added a config file that sets meta+r as default for runner.

Test Plan

Check if meta+r opens runner.
Check if pressing search key opens runner.
Check if Ctrl+Alt+B opens browser.
Check if pressing Homepage key opens browser.

Diff Detail

Repository
rDEFAULTSETTINGS Lubuntu Default Settings
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

The_LoudSpeaker requested review of this revision.Sep 12 2019, 4:06 PM
The_LoudSpeaker created this revision.
  • Actually fixed thhe Ctrl+Alt+B
  • Added settings for search key
The_LoudSpeaker edited the test plan for this revision. (Show Details)Sep 12 2019, 6:50 PM

Modified homepage key settings so that it is consistent with ctrl+alt+b and opens default browser. instead of firefox everytime.

tsimonq2 accepted this revision.Sep 13 2019, 10:37 AM
This revision is now accepted and ready to land.Sep 13 2019, 10:37 AM
This revision was automatically updated to reflect the committed changes.
guiverc added a subscriber: guiverc.EditedSep 13 2019, 9:51 PM

Check if meta+r opens runner.
Check if pressing search key opens runner.
Check if Ctrl+Alt+B opens browser.
Check if pressing Homepage key opens browser.

19.10 daily (2019-09-13 just downloaded) on sony vaio ultrabook (i5-9400u, 4gb, intel haswell-ULT)

super/meta + R does nothing.
no search key on this crapbook
ctrl + alt + B does nothing
no home page key

19.10 daily (2019-09-13) on hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)
meta + R did nothing (hp keyboard has two super keys; I tried each)
search key did nothing on this keyboard
ctrl + alt + B does nothing
no HOMEPAGE key, however ClubHP+, internet, info did nothing too.
EMAIL key opened Trojita (tried a few other keys on keyboard; no response or not relevant as I see it)

Note: I've never used any of the unusual keys on this keyboard, and I don't see responses when I press ClubHP+, internet or info on that keyboard using xev. I do see a response for Search & Email though.